Bug 122084 - Audigy 2 / Logitech Quickcam - sound card detect does not work
Audigy 2 / Logitech Quickcam - sound card detect does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 06:51 EDT by Craig Cruden
Modified: 2014-03-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 16:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Craig Cruden 2004-04-30 06:51:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
This is not a new problem, I believe I got it during the Test 2
installation but did not realize exactly what the problem was (just
assumed the Audigy 2 zs card driver was not working).

Installed Test 3 [all components] from CD -- when it came to test the
sound card it did not work.  I have since realized that it is trying
to "pump" the sound out the Logitech Quickcam.

After the installation, I loaded alsamixer....

alsamixer -c 0

Card: USB Device 0x46d:0x8b0
Chip: USB Mixer
Item: Mic

alsamixer -c 1

Card: Sound Blaster Audigy2
Chip: SigmaTel STAC9721/23
Item: Master

I then unplugged the Logitech (USB) Quickcam 3000 pro [pwc] from the
system and reboot.

The removal was detected.... and it asked me if I wanted to remove
configuration (for Quickcam), keep configuration, or do nothing.  I
picked remove, the screen then flashed and returned asking me if I
wanted to remove exactly the same thing again [which I did over and
over] -- then I "chose" keep configuration and continued.

The system booted and brought up the soundcard detect screen to test
the card.... it worked.  

The modprobe.conf files (before and after) are in additional
information.  As an interesting question... with the USB camera -- I
am wondering how plugging in, remove it will work if things are
"shifting around".

Version-Release number of selected component (if applicable):
1.1.57-1

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 2
2. Sound Card detection
3.
    

Actual Results:  No Sound

Expected Results:  Sound

Additional info:

This is the contents of the modprobe.conf after first installation:

alias eth0 sis900
alias eth1 prism54
alias snd-card-0 snd-emu10k1
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias snd-card-1 audio
install audio /sbin/modprobe --ignore-install audio &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove audio { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove audio
alias usb-controller ohci-hcd

This is the modprobe file after the "remove/keep" configuration.

alias eth0 sis900
alias eth1 prism54
alias snd-card-0 snd-emu10k1
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
install audio /sbin/modprobe --ignore-install audio &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove audio { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove audio
alias usb-controller ohci-hcd
Comment 1 Bill Nottingham 2005-09-23 16:43:53 EDT
This should be better in Fedora Core 4; there is no confusing UI that pops up,
and system-config-soundcard should be better able to force a primary audio device.

Note You need to log in before you can comment on or make changes to this bug.